Инклюдинг локальных файлов в phpPgAdmin

Дата публикации:
09.12.2008
Дата изменения:
29.03.2009
Всего просмотров:
2042
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpPgAdmin 4.x
Уязвимые версии: phpPgAdmin 4.2.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным на системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "_language" в сценарии libraries/lib.inc.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/index.php?_language=../../../../../../../../etc/passwd%00

URL производителя: phppgadmin.sourceforge.net

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: http://milw0rm.com/exploits/7363